> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tayho.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List on-chain funding updates



## OpenAPI

````yaml /public/reference/openapi.json get /v1/markets/{marketId}/funding
openapi: 3.1.0
info:
  description: >-
    Public Tayho API for indexed protocol state, live calculations, relayed
    actions, and automatic-order lifecycle.
  title: Tayho API
  version: 1.0.0
servers:
  - description: Development
    url: https://api.testnet.tayho.io
security: []
tags:
  - name: System
  - name: Markets
  - name: Positions
  - name: Traders
  - name: Orders
  - name: Intents
  - name: Actions
  - name: Portfolio
  - name: Vault
  - name: Staking
  - name: Trading
  - name: Realtime
paths:
  /v1/markets/{marketId}/funding:
    get:
      tags:
        - Markets
      summary: List on-chain funding updates
      operationId: getV1MarketsByMarketIdFunding
      parameters:
        - in: path
          name: marketId
          required: true
          schema:
            format: tayho-uint64
            maxLength: 20
            type: string
        - in: query
          name: limit
          required: false
          schema:
            pattern: ^(?:[1-9]|[1-9][0-9]|100)$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV1MarketsByMarketIdFundingResponse'
          description: Successful response.
        '401':
          $ref: '#/components/responses/Error401'
        '403':
          $ref: '#/components/responses/Error403'
        '404':
          $ref: '#/components/responses/Error404'
        '422':
          $ref: '#/components/responses/Error422'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
        '502':
          $ref: '#/components/responses/Error502'
        '503':
          $ref: '#/components/responses/Error503'
        '504':
          $ref: '#/components/responses/Error504'
      security:
        - TayhoApiKey: []
components:
  schemas:
    GetV1MarketsByMarketIdFundingResponse:
      additionalProperties: false
      properties:
        data:
          additionalProperties: false
          properties:
            settlements:
              items:
                $ref: '#/components/schemas/FundingSettlement'
              type: array
            state:
              anyOf:
                - $ref: '#/components/schemas/FundingState'
                - type: 'null'
            updates:
              items:
                $ref: '#/components/schemas/FundingUpdate'
              type: array
          required:
            - state
            - updates
            - settlements
          type: object
      required:
        - data
      type: object
    FundingSettlement:
      additionalProperties: true
      properties:
        blockNumber:
          $ref: '#/components/schemas/UnsignedIntegerString'
        blockTimestamp:
          $ref: '#/components/schemas/UnsignedIntegerString'
        direction:
          enum:
            - LONG
            - SHORT
        id:
          type: string
        logIndex:
          minimum: 0
          type: integer
        marketId:
          $ref: '#/components/schemas/UnsignedIntegerString'
        payerWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        receiverWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        transactionHash:
          $ref: '#/components/schemas/Hash'
      required:
        - id
        - blockNumber
        - blockTimestamp
        - transactionHash
        - logIndex
        - marketId
        - direction
        - receiverWad
        - payerWad
      type: object
    FundingState:
      additionalProperties: true
      properties:
        impactPriceWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        indexPriceWad:
          $ref: '#/components/schemas/UnsignedIntegerString'
        marketId:
          $ref: '#/components/schemas/UnsignedIntegerString'
        ratePerHourWad:
          $ref: '#/components/schemas/IntegerString'
        updatedAt:
          $ref: '#/components/schemas/UnsignedIntegerString'
        updatedBlock:
          $ref: '#/components/schemas/UnsignedIntegerString'
      required:
        - marketId
        - updatedBlock
      type: object
    FundingUpdate:
      additionalProperties: true
      properties:
        blockNumber:
          $ref: '#/components/schemas/UnsignedIntegerString'
        blockTimestamp:
          $ref: '#/components/schemas/UnsignedIntegerString'
        id:
          type: string
        intervalStart:
          $ref: '#/components/schemas/UnsignedIntegerString'
        logIndex:
          minimum: 0
          type: integer
        marketId:
          $ref: '#/components/schemas/UnsignedIntegerString'
        ratePerHourWad:
          $ref: '#/components/schemas/IntegerString'
        transactionHash:
          $ref: '#/components/schemas/Hash'
      required:
        - id
        - blockNumber
        - blockTimestamp
        - transactionHash
        - logIndex
        - marketId
      type: object
    TayhoError:
      additionalProperties: true
      properties:
        code:
          type: string
        error:
          type: string
        requestId:
          pattern: ^[A-Za-z0-9._:-]{8,128}$
          type: string
      required:
        - error
      type: object
    UnsignedIntegerString:
      pattern: ^(?:0|[1-9][0-9]*)$
      type: string
    Hash:
      pattern: ^0x[0-9a-fA-F]{64}$
      type: string
    IntegerString:
      pattern: ^-?(?:0|[1-9][0-9]*)$
      type: string
  responses:
    Error401:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Missing or invalid API key.
    Error403:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The API key does not grant the required scope.
    Error404:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The requested resource does not exist.
    Error422:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: Request validation failed.
    Error429:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The applicable request quota was exceeded.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error500:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: The request failed unexpectedly.
    Error502:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A dependency returned an invalid or unsuccessful response.
    Error503:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency is temporarily unavailable.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            minimum: 1
            type: integer
    Error504:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TayhoError'
      description: A required Tayho dependency timed out.
  securitySchemes:
    TayhoApiKey:
      description: Tayho project API key with the scope declared by the operation.
      in: header
      name: X-API-Key
      type: apiKey

````